.TH "mca_oob_tcp_peer_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_oob_tcp_peer_t \- This structure describes a peer.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <oob_tcp_peer.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBopal_list_item_t\fP \fBsuper\fP"
.br
.RI "\fIallow this to be on a list \fP"
.ti -1c
.RI "orte_process_name_t \fBpeer_name\fP"
.br
.RI "\fIthe name of the peer \fP"
.ti -1c
.RI "\fBmca_oob_tcp_state_t\fP \fBpeer_state\fP"
.br
.RI "\fIthe state of the connection \fP"
.ti -1c
.RI "int \fBpeer_retries\fP"
.br
.RI "\fInumber of times connection attempt has failed \fP"
.ti -1c
.RI "\fBmca_oob_tcp_addr_t\fP * \fBpeer_addr\fP"
.br
.RI "\fIthe addresses of the peer process \fP"
.ti -1c
.RI "int \fBpeer_sd\fP"
.br
.RI "\fIsocket descriptor of the connection \fP"
.ti -1c
.RI "opal_event_t \fBpeer_send_event\fP"
.br
.RI "\fIregistration with event thread for send events \fP"
.ti -1c
.RI "opal_event_t \fBpeer_recv_event\fP"
.br
.RI "\fIregistration with event thread for recv events \fP"
.ti -1c
.RI "opal_event_t \fBpeer_timer_event\fP"
.br
.RI "\fItimer for retrying connection failures \fP"
.ti -1c
.RI "\fBopal_mutex_t\fP \fBpeer_lock\fP"
.br
.RI "\fIprotect critical data structures \fP"
.ti -1c
.RI "\fBopal_list_t\fP \fBpeer_send_queue\fP"
.br
.RI "\fIlist of messages to send \fP"
.ti -1c
.RI "\fBmca_oob_tcp_msg_t\fP * \fBpeer_send_msg\fP"
.br
.RI "\fIcurrent send in progress \fP"
.ti -1c
.RI "\fBmca_oob_tcp_msg_t\fP * \fBpeer_recv_msg\fP"
.br
.RI "\fIcurrent recv in progress \fP"
.in -1c
.SH "Detailed Description"
.PP 
This structure describes a peer. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
